## Delete Vectors By Identifier `client.Vectorize.Indexes.DeleteByIDs(ctx, indexName, params) (*IndexDeleteByIDsResponse, error)` **post** `/accounts/{account_id}/vectorize/v2/indexes/{index_name}/delete_by_ids` Delete a set of vectors from an index by their vector identifiers. ### Parameters - `indexName string` - `params IndexDeleteByIDsParams` - `AccountID param.Field[string]` Path param: Identifier - `IDs param.Field[[]string]` Body param: A list of vector identifiers to delete from the index indicated by the path. ### Returns - `type IndexDeleteByIDsResponse struct{…}` - `MutationID string` The unique identifier for the async mutation operation containing the changeset. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/vectorize" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Vectorize.Indexes.DeleteByIDs( context.TODO(), "example-index", vectorize.IndexDeleteByIDsParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.MutationID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee" }, "success": true } ```